Subject: question about AODV routing

From: Lori Flynn <[email-masked]>
Date: Wed, 11 Mar 1998 12:43:41 -0800 (PST)

Hi, I'm writing because I have some questions about AODV routing (per
Charles Perkins' November 20 1997 internet draft 'Ad Hoc On Demand
Distance Vector Routing' draft-ietf-manet-aodv-00.txt).  The questions
are:

If links become lower cost, how and when is this information conveyed?
(ie. wait for the next 'hello' message, in a not-asked-for RREP, or some
other way?)

The 'hello' messages with the 'L' on includes a list of its neighbors.  Is
this a list of *all* of the nodes it can reach (ie. including nodes > 1
hop away) or only of its direct neighbors? 

I'm simulating the protocol for a class project, and would greatly
appreciate information.  I'm not a member of this mailing list, so 
could answerers please email me directly (at [email-masked]).  

Thanks so much for the help!
-Lori